.words {
    margin: 2rem 1rem 1rem;
    padding: 0 1rem;
    border-top: 0.75px solid var(--fg-color);
    border-bottom: 0.75px solid var(--fg-color);
}

.words__table {
    background-color: var(--secondary-bg-color);
    font-family: 'Iosevka', 'Menlo', Courier, monospace;
    font-size: 0.9rem;

    margin: 2rem -1rem 0.75rem;
    padding: 0 0.5rem;
    box-sizing: border-box;
    display: flex;

    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: flex-start;

    transition: height 0.1s;
}

.word {
    margin: 2rem 0.5rem;
    box-sizing: border-box;
}

.words__error {
    font-size: 0.8rem;
    margin: 0.5rem 0;
    color: var(--accent-color-transparent);

    transition: color 0.1s;
}

.words__error--show {
    color: var(--accent-color);
}

.instructions {
    margin: 0;
}


/* Adjustments for small screens */

@media (max-width: 600px) {
    .words__table {
        justify-content: center;
    }

    .word {
        margin: 0;
        padding: 1rem;
        box-sizing: border-box;
        text-align: center;
        width: 51%;
    }

    .words__error {
        text-align: center;
    }

    .instructions__text {
        line-height: 44px;
    }

    .instructions--mobile {
        display: block;
    }

    .instructions--desktop {
        display: none;
    }
}
